// This is defined using the '-D' switch to gcc. I.E gcc -DMAKEDLL ...
#if defined(MAKEDLL)

	// This tells what symbol is to be exported (put) into the dll.
	#define		INTERFACE		__declspec(dllexport)

// This is defined using the '-D' switch to gcc. I.E gcc -DUSEDLL ...
#elif defined(USEDLL)

	// This tells what symbol is to be imported (used) from the dll.
	#define		INTERFACE		__declspec(dllimport)

#else

	// Default, this will be the case on all ELF compatible systems,
	// which use shared libraries. These are the equivalent of Dlls.
	#define		INTERFACE

#endif


INTERFACE int function_one(void);
INTERFACE int function_two(void);